package repo

import (
	"octopus/internal/dal/model"

	"gorm.io/gorm"
)

type DocFolderRepo struct {
	db *gorm.DB
}

func NewDocFolderRepo(db *gorm.DB) *DocFolderRepo {
	return &DocFolderRepo{db}
}

type DocFolderRepoInterface interface {
	CreateFolder(folder *model.DocFolder) error
}

// func (r *DocFolderRepo) CreateFolder(folder *model.DocFolder) error {
// 	return r.db.Create(folder).Error
// }
